Create Appraisal
curl --request POST \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "10",
"client_reference_id": "200",
"cpid": "123456",
"rpid": "234567",
"homepage_client_category_id": 2740,
"selected_client_category_id": 2740,
"item_quantity": 1,
"is_price_per_item": true,
"rp_name_cart": "A product name",
"offer_id": "9876",
"shop_name": "A shop name",
"shop_url": "https://some.shop",
"replacement_cost_value": 300,
"rp_price_date": "2021-02-17 13:36:10"
}
'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal"
payload = {
"client_id": "10",
"client_reference_id": "200",
"cpid": "123456",
"rpid": "234567",
"homepage_client_category_id": 2740,
"selected_client_category_id": 2740,
"item_quantity": 1,
"is_price_per_item": True,
"rp_name_cart": "A product name",
"offer_id": "9876",
"shop_name": "A shop name",
"shop_url": "https://some.shop",
"replacement_cost_value": 300,
"rp_price_date": "2021-02-17 13:36:10"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '10',
client_reference_id: '200',
cpid: '123456',
rpid: '234567',
homepage_client_category_id: 2740,
selected_client_category_id: 2740,
item_quantity: 1,
is_price_per_item: true,
rp_name_cart: 'A product name',
offer_id: '9876',
shop_name: 'A shop name',
shop_url: 'https://some.shop',
replacement_cost_value: 300,
rp_price_date: '2021-02-17 13:36:10'
})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appraisal_id": 97771
}{
"error": "cpid : field required; rpid : field required",
"event_code": "ERMPAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Missing parameter",
"description": "The \"cpid\" parameter is required."
}
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}{
"error": "Client reference 14418 was not found",
"event_code": "ERNFAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"client_reference_id\" value",
"description": "The client_reference_id \"14418\" was not found"
}
}Endpoint Examples
Create Appraisal
POST
/
client_reference
/
{client_reference_id}
/
appraisal
Create Appraisal
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
Body
application/json
This is the Claimed Product Identifier. You should have this value from the previous response Step 3: (RP) from field claimed_product.pid.
This is the Replacement Product Identifier. The previous response should have one or more Replacement Products. You should take the value from whichever product you select from field grouped_prices.[Y].[X].pid (where X is the numbered product of the Y numbered group).
Optional session identifier of the user.
This is an optional variable parameter. You can either use the price from the previous response from field grouped_prices.[Y].[X].total_price or you can set a custom value based on your own logic.
Must be a multiple of
0.01Response
OK
⌘I